%define major		1
%define libname		%mklibname gmtk %{major}
%define libnamedev	%mklibname -d gmtk

Name:		gmtk
Summary:	Library for gnome-mplayer and gecko-mediaplayer
Version:	1.0.9
Release:	%mkrel 2
License: 	GPLv2+
Group:		System/Libraries
Source0: 	http://gmtk.googlecode.com/files/%{name}-%{version}.tar.xz
URL: 		http://code.google.com/p/gmtk/
#------------------------------------
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64alsa2-devel
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: GConf2-devel
#------------------------------------

%description
Library for gnome-mplayer and gecko-mediaplayer.

%package i18n
Summary:	Translation files for %name
Group:		System/Libraries
BuildArch:	noarch

%description i18n
This package contains translation files for %name.

%package -n	%{libname}
Summary:	Library for gnome-mplayer and gecko-mediaplayer
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n	%{libname}
Library for gnome-mplayer and gecko-mediaplayer.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgmtk
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-gsettings
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %name

rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_datadir}/doc/%{name}/*

%files i18n -f %name.lang

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jan 02 2018 bb2 <bb2> - 1.0.9-2pclos2018
- clean up BR

* Mon Jan 01 2018 Zen Subz <techars21 at gmail dot com> - 1.0.9-1pclos2018
- Update to v1.0.9

* Sun Mar 24 2013 pinoc <vogtpet at gmail.com> 1.0.8-1pclos2013
- 1.0.8
- changed major from 0 to 1

